Post by debbiekipt » Sat Oct 22, 2016 12:10 am

Hi all
I suddenly started getting this error today on my 1.5.6.4 installation. (my host upgraded php version.)

A simple fix (well it fixed it for me!) was to add:
'SetEnv PHP_VERSION 5' in the .htaccess file for the site = error goes away and site works as normal :-)

I am not a coder so if anyone knows of any reason why not to use this, do please shout out.

Active Member

Posts

Joined
Sun Nov 21, 2010 8:10 pm

Post by purna » Mon Oct 31, 2016 12:54 pm

Sir

In opencart, we have faced one error which is

/////

Deprecated: mysql_connect(): The mysql extension is deprecated and will be removed in the future: use mysqli or PDO instead in /home/oriyabooks/public_html/system/database/mysql.php on line 6
//////

and we have tried the following

///////////
Download the file from the following link:

https://raw.githubusercontent.com/openc ... mysqli.php

Then UPLOAD the file into the following directory:

/public_html/system/database

Then MODIFY the config.php file at the following directory:

First directory: /public_html
Second directory: /public_html/admin

In both directories look for the following:

define('DB_DRIVER', 'mysqli');

Chang only the underline mysqli to become mmysqli

the final looks will be as following:

define('DB_DRIVER', 'mmysqli');

Save the changes in both directories.
////////////

after doing this, we are facing now the following problem

////

Class 'DBmmysqli' not found in /home/onlinedrughouse/public_html/vqmod/vqcache/vq2-system_library_db.php on line 13
//////

can anybody hep me out in rectifying this problem as currently my portal is nor coming

Can check- www.onlinedrughouse.com
Regards
Purna

Newbie

Posts

Joined
Mon Oct 31, 2016 12:34 pm

Post by olfactorymaven » Tue Nov 08, 2016 11:58 am

I just paid for this extension, but nothing shows to download it.

New member

Posts

Joined
Fri Apr 19, 2013 3:35 am


Post by olfactorymaven » Tue Nov 08, 2016 12:04 pm

Invoice INV811145

What is this? Now I see where to download it.....

Attachments

Screen Shot 2016-11-07 at 11.03.03 PM.png

Screen Shot 2016-11-07 at 11.03.03 PM.png (29.73 KiB) Viewed 2599 times


New member

Posts

Joined
Fri Apr 19, 2013 3:35 am


Post by olfactorymaven » Tue Nov 08, 2016 1:02 pm

debbiekipt wrote:Hi all
I suddenly started getting this error today on my 1.5.6.4 installation. (my host upgraded php version.)

A simple fix (well it fixed it for me!) was to add:
'SetEnv PHP_VERSION 5' in the .htaccess file for the site = error goes away and site works as normal :-)

I am not a coder so if anyone knows of any reason why not to use this, do please shout out.
Where did you place this in the file?

New member

Posts

Joined
Fri Apr 19, 2013 3:35 am


Post by olfactorymaven » Wed Nov 09, 2016 12:27 am

Okay, just coming back to let you know that the download button showed up for me this morning, in OC account. Thank you very much. Now I just have an error on my store front (off to solve now), but your extension fixed the admin.

New member

Posts

Joined
Fri Apr 19, 2013 3:35 am


Post by olfactorymaven » Wed Nov 09, 2016 12:30 am

Medina wrote:solved my problem and help support very good, recommended, thank you very much.


faca5 wrote:Hello.

Why use old PHP if you can use latest with all features?

You can solve your mysql_connect() problem with this extension:
http://www.opencart.com/index.php?route ... n_id=23099
Did the extension solve your back door and front door? I just uploaded it and it did solve the problem in admin, but received an error in store. Did you run into an index.php problem after uploading?

New member

Posts

Joined
Fri Apr 19, 2013 3:35 am


Post by faca5 » Tue Dec 27, 2016 4:57 pm

olfactorymaven wrote:
Medina wrote:solved my problem and help support very good, recommended, thank you very much.


faca5 wrote:Hello.

Why use old PHP if you can use latest with all features?

You can solve your mysql_connect() problem with this extension:
http://www.opencart.com/index.php?route ... n_id=23099
Did the extension solve your back door and front door? I just uploaded it and it did solve the problem in admin, but received an error in store. Did you run into an index.php problem after uploading?
Hello.

Yes. This extension solve both admin and front-end.
http://www.opencart.com/index.php?route ... n_id=23099

If you bought this extension you can contact us via support email.

New member

Posts

Joined
Wed Aug 27, 2014 7:23 pm

Post by jdiai » Tue Jan 30, 2018 4:45 pm

This worked for me! Thank you so much for posting this!!!!!! I changed my php version from 5.6 to 5.4 on my cpanel and my store(oc 1.5.6) no longer has the error message!!!! Im so happy.thanks alot
TAC wrote:
Wed Dec 02, 2015 10:51 pm
For anyone else following after me the issue in my case was that my PHP version had been upgraded and the old OC store couldn't work with it.

I set the PHP version to a previous one and the errors etc. disappeared :D

Newbie

Posts

Joined
Tue Nov 12, 2013 11:30 pm

Post by IP_CAM » Wed Jan 31, 2018 2:55 am

Good for you ! And for others, beeing confronted with similar problems,
in the ZIP File enclosed, 10 slightly different OC v.1.5.x mysqli.php
Files exist, to be tested, one after the other, and one of them will do the Job.
Good Luck! ;)
Ernie

Attachments

10 different mysqli files for v.1.5.x


I'm rarely active at the OC Forum lately. To reach me, contact: jti@jacob.ch
A Demoversion of my free OpenCart LIGHT v.1.5.6.5 Software Edition
can be seen in real Action here: http://www.jti.li/shop/
---
1'300+ FREE OC Extension-Repositories - from OC v.1.5.x up,
on the world's largest OC-related Github Site: https://github.com/IP-CAM
---
Image


User avatar
Legendary Member

Posts

Joined
Tue Mar 04, 2014 1:37 am
Location - Switzerland
Who is online

Users browsing this forum: No registered users and 12 guests